TRANSMISSIONCLI(1)

NAME
transmissioncli - a lightweight bittorrent client

SYNOPSIS
transmissioncli [-h]
transmissioncli [-v level] [ -i | -s] torrent-file
transmissioncli [-v level] [-p port] [-u upload-rate] [-f script] torrent-file

DESCRIPTION
The transmissioncli program is a lightweight, command-line BitTorrent client with scripting capabilities. The options are as follows:

-h, --help
    Prints a short usage summary.

-i, --info
    Shows information from the specified torrent file, such as the cryptographic hash, the tracker, announcement, file size and file name.

-s, --scrape
    Prints the number of seeders and leechers from the tracker and exits.

-v, --verbose level
    Sets debugging options. The current range is 0-2, with the highest level producing the most output. The default is 0.

-p, --port port
    Specifies an alternate port for the client to listen on. The default is 9090.

-u, --upload upload-rate
    Specifies the maximum upload rate in kB/s, which defaults to 20. The level -1 may be used for unlimited uploads.

-f, --finish script
    Specifies a shell script to be executed upon successful download.

FILES
~/.transmission

Directory where transmissioncli keeps torrent information for future seeding and resume operations.

AUTHORS
The transmissioncli program was written by -nosplit Eric Petit <titer@m0k.org> Josh Elsasser <josh@elsasser.org> Bryan Varner <bryan@varnernet.com> and Michael Demars <keul@m0k.org>.

SEE ALSO
http://transmission.m0k.org

CAVEATS
transmissioncli currently saves its downloads into the directory from which it was called. If this directory is not writable by the user, the program will terminate unexpectedly.